Foreman - Bug #1893

Template error in app/views/hosts/_form.html.erb
10/10/2012 05:39 PM - David Swift

Status: Closed

Priority: Normal

Assignee: David Swift

Category: Web Interface

Target version: 1.1

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description
Installed a new 1.0.1 instance today, got an error trying to view params - they were not being pulled into a new host.

Pull request coming.

History

#1 - 10/10/2012 05:51 PM - David Swift

We suspect this appearing now is due to a change in some gem. Here is a diff of 'gem list' on my dev box (where the old template code works) and
our new box that broke today.

2p 162, T

< actionmailer (3.0.15, 3.0.14, 3.0.10)

< actionpack (3.0.15, 3.0.14, 3.0.10)

< activemodel (3.2.6, 3.0.15, 3.0.14, 3.0.10, 3.0.9)
< activerecord (3.2.6, 3.0.15, 3.0.14, 3.0.10, 3.0.9)
< activeresource (3.0.15, 3.0.14, 3.0.10)
< activesupport (3.2.6, 3.0.15, 3.0.14, 3.0.10, 3.0.9)
> actionmailer (3.0.17)

> actionpack (3.0.17)

> activemodel (3.0.17)

> activerecord (3.0.17)

> activeresource (3.0.17)

> activesupport (3.0.17)

10cl0, 11

< arel (3.0.2, 2.0.10)

> apipie-rails (0.0.9)

> arel (2.0.10)

13,17cl4,16

< awesome_print (1.0.2)

< builder (3.0.0, 2.1.2)

< bundler (1.1.5, 1.0.15)

< columnize (0.3.6)

< daemon_controller (0.2.6)

> builder (2.1.2)

> bundler (1.0.15)

> daemon_controller (1.0.0)

19c18

< excon (0.14.3, 0.14.2, 0.14.1, 0.13.4)
> excon (0.14.0)

21,22c20,22

< fog (1.4.0)

< formatador (0.2.3, 0.2.1)

> fog (1.6.0)

> foremancli (1.0)

> formatador (0.2.1)

24,26c24
< hirb (0.7.0, 0.6.2)

< hirb-unicode (0.0.5)

< i18n (0.6.0, 0.5.0)

> i18n (0.5.0)

28,37c26,29

< jruby-pageant (1.0.2)

< json (1.7.3, 1.6.6)

< linecache (0.46)

< mail (2.3.3, 2.2.19)

< metaclass (0.0.1)

< mime-types (1.19, 1.18)

< mocha (0.12.0, 0.11.4)

< multi_json (1.3.6, 1.3.5)

< mysqgl (2.8.1)

< mysqgl2 (0.3.11, 0.2.18)

> json (1.6.6)

> mail (2.3.3)

> mime-types (1.18)

> multi_json (1.2.0)
41,43c33,36

< net-ssh (2.5.2, 2.5.1, 2.3.0)
< nokogiri (1.5.5, 1.5.4, 1.5.2)
< passenger (3.0.12)

> net-ssh (2.3.0)

> nokogiri (1.5.2)

> oauth (0.4.6)

> passenger (3.0.17)
45,46c38,40

< puppet-module (0.3.4)

< rack (1.2.5)

> puppet-lint (0.3.1)

> rabl (0.7.0)

> rack (1.4.1, 1.2.5)
49,54c43,45

< rails (3.0.15, 3.0.14, 3.0.10)
< railties (3.0.15, 3.0.14, 3.0.10)
< rake (0.9.2.2, 0.8.7)

< rbovirt (0.0.12)

< rbvmomi (1.5.1)

< rbx-require-relative (0.0.9)
> rails (3.0.17)

> railties (3.0.17)

> rake (0.9.2.2)

55a47

> redcarpet (2.1.1)

57,59d48

< rr (1.0.4)

< ruby-debug (0.10.4)

< ruby-debug-base (0.10.4)
64,68c53,54

< scoped_search (2.3.7, 2.3.6)
sexp_processor (3.2.0, 3.1.0)
shoulda (3.1.1, 3.0.1)
shoulda-context (1.0.0)
shoulda-matchers (1.2.0, 1.0.0)

AN AN AN A

> scoped_search (2.3.7)

> sexp_processor (3.1.0)
70c56

< sglite3 (1.3.6)

> sqglite3-ruby (1.2.4)
73,76c59, 60

< trollop (1.16.2)

< tzinfo (0.3.33, 0.3.32)
< unicode-display_width (0.1.1)
< uuidtools (2.1.3, 2.1.2)
> tzinfo (0.3.32)

> uuidtools (2.1.1)
78d61
< wirb (0.4.2)

#2 - 10/10/2012 05:58 PM - David Swift

Pull request is https:/github.com/theforeman/foreman/pull/171

#3 - 10/16/2012 08:49 AM - Ohad Levy
- Assignee changed from Ohad Levy to David Swift

- Target version set to 1.1

fixed at bc5e0126aa7

#4 - 10/16/2012 04:19 PM - Ohad Levy
- Status changed from New to Closed

- % Done changed from 0 to 100
https://github.com/theforeman/foreman/pull/171
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/bc5e0126aa75042c93070d5df4a677503b42c663
http://www.tcpdf.org

